Package org.eclipse.microprofile.rest.client.tck.interfaces

# Class MyJsonBObject

java.lang.Object
org.eclipse.microprofile.rest.client.tck.interfaces.MyJsonBObject

Direct Known Subclasses:
  `MyJsonBObjectWithPrivateProperties`

public class MyJsonBObject extends Object

## Constructor Summary

Constructors
Constructor
Description
`MyJsonBObject()`

## Method Summary

Modifier and Type
Method
Description
`LocalDate`
`getDate()`
`String`
`getIgnoredField()`
`String`
`getName()`
`int`
`getQty()`
`void`
`setDate(LocalDate date)`
`void`
`setIgnoredField(String value)`
`void`
`setName(String name)`
`void`
`setQty(int qty)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MyJsonBObject

public MyJsonBObject()

## Method Details

### getName

public String getName()

### setName

public void setName(String name)

### getQty

public int getQty()

### setQty

public void setQty(int qty)

### getIgnoredField

public String getIgnoredField()

### setIgnoredField

public void setIgnoredField(String value)

### getDate

public LocalDate getDate()

### setDate

public void setDate(LocalDate date)